com.fasterxml.jackson.databind.deser.std

## Class JdkDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.JdkDeserializers

    public class JdkDeserializers
    extends Object

Container class that contains serializers for JDK types that require special handling for some reason.

### Constructor Summary

Constructors
Constructor and Description
`JdkDeserializers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JsonDeserializer<?>` `find(Class<?> rawType, String clsName)`
`static boolean` `hasDeserializerFor(Class<?> rawType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdkDeserializers

    public JdkDeserializers()

### Method Detail

#### find

    public static JsonDeserializer<?> find(Class<?> rawType,
                                           String clsName)

#### hasDeserializerFor

    public static boolean hasDeserializerFor(Class<?> rawType)